## kded 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KDED)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(REQUIRED_QT_VERSION "5.3")
find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED DBus Widgets)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_DEP_VERSION})
find_package(KF5Init ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)


include(ECMPackageConfigHelpers)
include(ECMSetupVersion)

ecm_setup_version(
  ${KF5_VERSION}
  VARIABLE_PREFIX KDED
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kded_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfigVersion.cmake"
  SOVERSION 5)

# We don't install kded_version.h, it's only useful internally
# (given that this framework produces no library)


remove_definitions(-DQT_NO_CAST_FROM_ASCII)

if (KF5DocTools_FOUND)
    if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
        kdoctools_install(po)
    endif()
    add_subdirectory(docs)
endif()

add_subdirectory(src)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDED")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KDEDConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KDEDTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KDEDTargets.cmake
  NAMESPACE KF5::
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kded 5.3.0

=== debian/changelog ===
kded (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:11:43 +0100

kded (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 20:00:38 +0200

kded (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:31:21 +0200

kded (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 15 Jul 2014 12:43:40 +0200

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kdoctools-dev (>= 5.3.0),
               kinit-dev (>= 5.3.0),
               kio-dev (>= 5.3.0),
               libkf5archive-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5crash-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5jobwidgets-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kded.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kded.git

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev,
         libkf5crash-dev,
         libkf5dbusaddons-dev,
         libkf5service-dev,
         ${misc:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dbg
Section: debug
Priority: extra
Architecture: any
Depends: kded5 (= ${binary:Version}), ${misc:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains debug symbols for kded.

## kded 5.9.0

=== debian/changelog ===
kded (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:24:56 +0200

kded (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:32:08 +0100

kded (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:19:32 +0100

kded (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:50:03 +0100

kded (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:19:04 +0100

kded (5.4.0-0ubuntu2) vivid; urgency=medium

  * Make kded5-dev depend on kded5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Nov 2014 15:12:29 +0100

kded (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:01:39 +0100

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.8.0),
               kdoctools-dev (>= 5.9.0),
               kinit-dev (>= 5.9.0),
               kio-dev (>= 5.9.0),
               libkf5archive-dev (>= 5.9.0),
               libkf5auth-dev (>= 5.9.0),
               libkf5bookmarks-dev (>= 5.9.0),
               libkf5codecs-dev (>= 5.9.0),
               libkf5completion-dev (>= 5.9.0),
               libkf5config-dev (>= 5.9.0),
               libkf5configwidgets-dev (>= 5.9.0),
               libkf5coreaddons-dev (>= 5.9.0),
               libkf5crash-dev (>= 5.9.0),
               libkf5dbusaddons-dev (>= 5.9.0),
               libkf5globalaccel-dev (>= 5.9.0),
               libkf5guiaddons-dev (>= 5.9.0),
               libkf5i18n-dev (>= 5.9.0),
               libkf5iconthemes-dev (>= 5.9.0),
               libkf5itemviews-dev (>= 5.9.0),
               libkf5jobwidgets-dev (>= 5.9.0),
               libkf5kjs-dev (>= 5.9.0),
               libkf5service-dev (>= 5.9.0),
               libkf5solid-dev (>= 5.9.0),
               libkf5sonnet-dev (>= 5.9.0),
               libkf5textwidgets-dev (>= 5.9.0),
               libkf5widgetsaddons-dev (>= 5.9.0),
               libkf5windowsystem-dev (>= 5.9.0),
               libkf5xmlgui-dev (>= 5.9.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kded.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kded.git

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5,
         libkf5coreaddons-dev,
         libkf5crash-dev,
         libkf5dbusaddons-dev,
         libkf5service-dev,
         ${misc:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dbg
Section: debug
Priority: extra
Architecture: any
Depends: kded5 (= ${binary:Version}), ${misc:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains debug symbols for kded.

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kded-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kded-(.*)\.tar\.xz

## kded 5.15.0

=== debian/changelog ===
kded (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:46:07 +0100

kded (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:12:41 +0100

kded (5.13.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * new upstream release

  [ José Manuel Santamaría Lema ]
  * Update not-installed file.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:57:16 +0200

kded (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix merge, remove unused broken backport.
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:27:30 +0200

kded (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 12:35:55 +0200

kded (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:33:29 +0200

kded (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:26 +0200

kded (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:39:12 +0100

kded (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:57 +0100

kded (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Feb 2015 17:56:20 +0100

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kdoctools-dev (>= 5.15.0~),
               kinit-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5service-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kded.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kded.git

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.15.0~),
         libkf5crash-dev (>= 5.15.0~),
         libkf5dbusaddons-dev (>= 5.15.0~),
         libkf5service-dev (>= 5.15.0~),
         ${misc:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dbg
Section: debug
Priority: extra
Architecture: any
Depends: kded5 (= ${binary:Version}), ${misc:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains debug symbols for kded.

## kded 5.18.0

=== debian/changelog ===
kded (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:19:44 +0100

kded (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:13:09 +0100

kded (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:06 +0200

kded (5.15.0-0ubuntu2) UNRELEASED; urgency=medium

  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 08 Oct 2015 21:22:55 -0700

kded (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:24 +0200

kded (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 13:28:15 +0200

kded (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kdoctools-dev (>= 5.15.0~),
-               kinit-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5crash-dev (>= 5.15.0~),
-               libkf5dbusaddons-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kdoctools-dev (>= 5.18.0~),
+               kinit-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5crash-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
@@ -24,10 +24,10 @@
 Section: libdevel
 Architecture: any
 Depends: kded5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.15.0~),
-         libkf5crash-dev (>= 5.15.0~),
-         libkf5dbusaddons-dev (>= 5.15.0~),
-         libkf5service-dev (>= 5.15.0~),
+         libkf5coreaddons-dev (>= 5.16.0~),
+         libkf5crash-dev (>= 5.16.0~),
+         libkf5dbusaddons-dev (>= 5.16.0~),
+         libkf5service-dev (>= 5.16.0~),
          ${misc:Depends}
 Description: Extensible daemon for providing session services
  KDED runs in the background and performs a number of small tasks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kded5-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kded-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kded-([\d.]+)\.tar\.xz

## kded 5.26.0

=== debian/changelog ===
kded (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:43:07 +0100

kded (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:39:13 +0000

kded (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)
  * Adding postinst-must-call-ldconfig to lintian overrides

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:10:17 +0200

kded (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 
  * It seems package-must-activate-ldconfig-trigger is
    a replacement for postinst-must-call-ldconfig.
    Fixing overrides. 
  * Remove the file. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:17:08 -0700

kded (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:01 +0100

kded (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:37 +0100

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               kdoctools-dev (>= 5.26.0~),
               kinit-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.26.0~),
               libkf5coreaddons-dev (>= 5.26.0~),
               libkf5crash-dev (>= 5.26.0~),
               libkf5dbusaddons-dev (>= 5.26.0~),
               libkf5service-dev (>= 5.26.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.26.0~),
         libkf5crash-dev (>= 5.26.0~),
         libkf5dbusaddons-dev (>= 5.26.0~),
         libkf5service-dev (>= 5.26.0~),
         ${misc:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

## kded 5.28.0

=== debian/changelog ===
kded (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:06:49 +0100

kded (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:07:45 +0200

kded (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:02:36 +0200

kded (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:51:21 +0200

kded (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 23:47:58 +0200

kded (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add new libkdeinit5_kded5 lintian-override
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 00:44:12 +0200

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               kdoctools-dev (>= 5.25.0~),
               kinit-dev (>= 5.28.0~),
               libkf5config-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5crash-dev (>= 5.28.0~),
               libkf5dbusaddons-dev (>= 5.28.0~),
               libkf5service-dev (>= 5.28.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kded.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kded.git

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.28.0~),
         libkf5crash-dev (>= 5.28.0~),
         libkf5dbusaddons-dev (>= 5.28.0~),
         libkf5service-dev (>= 5.28.0~),
         ${misc:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kded5-dbg (<= 5.19.0-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kded-([\d.]+)\.tar\.xz

## kded 5.31.0

=== debian/changelog ===
kded (5.31.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:51 +0000

kded (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:35:38 +0000

kded (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Merge with debian/master
  * Drop old kdoctools-dev build dep which is now replaced by
    libkf5doctools-dev

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:17:48 +0000

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded

Package: kded5-dev
Architecture: any
Section: libdevel
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5crash-dev (>= 5.31.0~),
         libkf5dbusaddons-dev (>= 5.31.0~),
         libkf5service-dev (>= 5.31.0~),
         ${misc:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

## kded 5.38.0

=== debian/changelog ===
kded (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:14:43 +0100

kded (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:59 +0100

kded (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:42 +0100

kded (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:59:00 +0100

kded (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:26:54 +0100

kded (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:06:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               kinit-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5crash-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5doctools-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               kinit-dev (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5crash-dev (>= 5.38.0~),
+               libkf5dbusaddons-dev (>= 5.38.0~),
+               libkf5doctools-dev (>= 5.38.0~),
+               libkf5service-dev (>= 5.38.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
@@ -24,10 +24,10 @@
 Architecture: any
 Section: libdevel
 Depends: kded5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5crash-dev (>= 5.31.0~),
-         libkf5dbusaddons-dev (>= 5.31.0~),
-         libkf5service-dev (>= 5.31.0~),
+         libkf5coreaddons-dev (>= 5.38.0~),
+         libkf5crash-dev (>= 5.38.0~),
+         libkf5dbusaddons-dev (>= 5.38.0~),
+         libkf5service-dev (>= 5.38.0~),
          ${misc:Depends}
 Description: Extensible daemon for providing session services
  KDED runs in the background and performs a number of small tasks.

## kded 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,23 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(KDED)
+set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+project(KDED VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.44.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-set(REQUIRED_QT_VERSION "5.3")
+set(REQUIRED_QT_VERSION 5.7.0)
 find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED DBus Widgets)
 
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
 find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Crash ${KF5_DEP_VERSION} REQUIRED)
@@ -27,11 +27,12 @@
 find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
 
 
-include(ECMPackageConfigHelpers)
+include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
+include(ECMMarkNonGuiExecutable)
 
 ecm_setup_version(
-  ${KF5_VERSION}
+  PROJECT
   VARIABLE_PREFIX KDED
   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kded_version.h"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfigVersion.cmake"
@@ -39,9 +40,6 @@
 
 # We don't install kded_version.h, it's only useful internally
 # (given that this framework produces no library)
-
-
-remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 
 if (KF5DocTools_FOUND)
     if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
@@ -55,7 +53,7 @@
 # Create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDED")
 
-ecm_configure_package_config_file(
+configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KDEDConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KDEDConfig.cmake"
   PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR

=== src/CMakeLists.txt ===
set(kded_KDEINIT_SRCS kded.cpp kdedadaptor.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kded5.xml # just so that it gets generated
)

kf5_add_kdeinit_executable(kded5 ${kded_KDEINIT_SRCS})
ecm_mark_nongui_executable(kded5)

target_link_libraries(kdeinit_kded5
    Qt5::Widgets # QApplication
    KF5::Service # Needed for ksycoca.h
    KF5::CoreAddons # Needed for KDirWatch
    KF5::DBusAddons # Needed for kdedmodule.h
    KF5::Crash # Sets it as autostart
)
if(APPLE)
    target_link_libraries(kdeinit_kded5 "-framework CoreFoundation")
endif()
target_compile_definitions(kdeinit_kded5 PRIVATE
    KCONF_UPDATE_EXE="$<TARGET_FILE:KF5::kconf_update>"
)
target_compile_definitions(kded5 PRIVATE
    KCONF_UPDATE_EXE="$<TARGET_FILE:KF5::kconf_update>"
)

install(TARGETS kdeinit_kded5 EXPORT KDEDTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries( kded5 kdeinit_kded5)
install(TARGETS kded5 ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} )


qt5_generate_dbus_interface( kdedadaptor.h org.kde.kded5.xml )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kded5.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

kdbusaddons_generate_dbus_service_file(kded5 org.kde.kded5 ${KDE_INSTALL_FULL_BINDIR})

install( FILES kdedmodule.desktop DESTINATION  ${KDE_INSTALL_KSERVICETYPES5DIR} )

=== debian/changelog ===
kded (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:56:52 +0000

kded (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:14:33 +0000

kded (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:20:38 +0000

kded (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:04:10 -0600

kded (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:15:40 +0000

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               kinit-dev (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5crash-dev (>= 5.44.0~),
               libkf5dbusaddons-dev (>= 5.44.0~),
               libkf5doctools-dev (>= 5.44.0~),
               libkf5service-dev (>= 5.44.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Architecture: any
Section: libdevel
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.44.0~),
         libkf5crash-dev (>= 5.44.0~),
         libkf5dbusaddons-dev (>= 5.44.0~),
         libkf5service-dev (>= 5.44.0~),
         ${misc:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kded 5.50.0

=== debian/changelog ===
kded (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:12:25 +0100

kded (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:29:32 +0100

kded (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:48:23 +0100

kded (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:44 +0200

kded (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:55:35 +0100

kded (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:16 +0200

kded (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:37 +0100

kded (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:20 +0100

kded (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:42 +0100

kded (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:57 +0100

kded (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:23 -0300

kded (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:44:25 +0000

kded (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:57:35 +0000

kded (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:40:31 +0000

kded (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:17 +0000

kded (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:53 +0200

kded (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:48 +0200

kded (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:11:54 +0000

kded (5.36.0-2) experimental; urgency=medium

  * New revision
  * Use the new kdoctools dev name
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Aug 2017 22:55:14 +0200

kded (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:37 +0200

kded (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:11:27 +0000

kded (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:15 +0000

kded (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:35:01 +0000

kded (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:22:11 +0000

kded (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:21:28 +0000

kded (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:35:47 +0000

kded (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:39:22 +0000

kded (5.29.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Dec 2016 19:06:53 +0000

kded (5.28.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Nov 2016 09:45:13 +0000

kded (5.27.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Oct 2016 11:29:53 +0000

kded (5.26.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2016 08:30:18 +0000



=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               kinit-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5crash-dev (>= 5.50.0~),
               libkf5dbusaddons-dev (>= 5.50.0~),
               libkf5doctools-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kded

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Architecture: any
Section: libdevel
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.50.0~),
         libkf5crash-dev (>= 5.50.0~),
         libkf5dbusaddons-dev (>= 5.50.0~),
         libkf5service-dev (>= 5.50.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kded 5.54.0

=== debian/changelog ===
kded (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:39 -0300

kded (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:40 +0100

kded (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:20 +0200

kded (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:47 +0200

=== debian/control ===
Source: kded
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               kinit-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5crash-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kded
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kded.git

Package: kded5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded5-dev
Section: libdevel
Architecture: any
Depends: kded5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.54.0~),
         libkf5crash-dev (>= 5.54.0~),
         libkf5dbusaddons-dev (>= 5.54.0~),
         libkf5service-dev (>= 5.54.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.
